Subject: Re: [PATCH 2/2 v2] check-attr: Add --stdin-paths option

From: Jakub Narebski <[email-masked]>
Date: Sun, 12 Oct 2008 17:04:21 +0200

Dmitry Potapov wrote:

>> And since its being
>> used mostly by automated tools (gitk/git-gui) I wonder if a -z should
>> also be supported for input termination with NUL instead of LF.
> 
> I have added it, but after I did, I start to wonder whether it is the
> right thing to do to unquote NUL terminated input line?

I think that -z should be not quoted (like git-diff-tree or git-ls-tree
_output_); if it is, then IMHO it is a bug.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git